Bug 561466 - Review Request: jnr-constants - Java Native Runtime constants
Summary: Review Request: jnr-constants - Java Native Runtime constants
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 561477 561484
TreeView+ depends on / blocked
 
Reported: 2010-02-03 17:41 UTC by Mo Morsi
Modified: 2010-09-28 05:50 UTC (History)
3 users (show)

Fixed In Version: jnr-constants-0.7-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 23:26:53 UTC
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-02-03 17:41:36 UTC
Spec URL: http://mo.morsi.org/files/jruby/jnr-constants.spec
SRPM URL: http://mo.morsi.org/files/jruby/jnr-constants-0.7-1.fc12.src.rpm
Description: 
Provides java values for common platform C constants (e.g. errno).

Formerly orphaned package constantine: http://admin.fedoraproject.org/pkgdb/packages/name/constantine (renamed to jnr-constants upstream)

Required by JRuby.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1959868

$ rpmlint rpmbuild/RPMS/noarch/jnr-constants-0.7-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/jnr-constants-0.7-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Lubomir Rintel 2010-06-18 14:05:25 UTC
* Package named correctly
* License correct and allowed in fedora
* SPEC file clean and legible
* RPMLint happy
* Filelist sane
* Require/provide list correct
* Builds fine in mock

APPROVED

Comment 2 Mo Morsi 2010-08-02 20:41:27 UTC
Sorry for the delay. Thanks for the review. 

Had to make one more change. Seems the Source0 url is no longer available, so I changed it to the correct github url:  

http://download.github.com/wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz

Uploaded srpm/spec:

http://mo.morsi.org/files/rpms/jnr-constants-0.7-2.fc13.src.rpm
http://mo.morsi.org/files/rpms/jnr-constants.spec

The only guideline I can see this affecting is the source md5sum, which matches as verified by the following commands:

$ wget http://download.github.com/wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz
$ md5sum wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz
>> 2528c5fb7229b0642b7b7e5b667bd92d  wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz

$ rm wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz
$ wget http://mo.morsi.org/files/rpms/jnr-constants-0.7-2.fc13.src.rpm
$ rpm2cpio jnr-constants-0.7-2.fc13.src.rpm | cpio -idmv
$ md5sum wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz 
>> 2528c5fb7229b0642b7b7e5b667bd92d  wmeissner-jnr-constants-0.7-0-g8b45ca7.tar.gz

Koji build was successful after the change:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2374548

Comment 3 Mo Morsi 2010-08-02 20:42:55 UTC
New Package CVS Request
=======================
Package Name: jnr-constants
Short Description: Provides java values for common platform C constants
Owners: mmorsi
Branches: F-13 F-14
InitialCC:

Comment 4 Kevin Fenzi 2010-08-03 17:50:02 UTC
GIT done (by process-git-requests).

Comment 5 Fedora Update System 2010-08-03 19:15:56 UTC
jnr-constants-0.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jnr-constants-0.7-2.fc13

Comment 6 Fedora Update System 2010-08-05 23:26:48 UTC
jnr-constants-0.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-16 10:21:58 UTC
jnr-constants-0.7-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jnr-constants-0.7-2.fc14

Comment 8 Fedora Update System 2010-09-28 05:50:40 UTC
jnr-constants-0.7-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.